from django.urls import path

from .views import CreateUserView, MyAccountView, UserDetailView, AddTeamView, JoinTeamView, MyTeamView,\
    ProfileListView, OrphanedProfileListView, OrganizersListView, ResetAdminView

app_name = "member"

urlpatterns = [
    path('signup/', CreateUserView.as_view(), name="signup"),
    path("my-account/", MyAccountView.as_view(), name="my_account"),
    path("information/<int:pk>/", UserDetailView.as_view(), name="information"),
    path("add-team/", AddTeamView.as_view(), name="add_team"),
    path("join-team/", JoinTeamView.as_view(), name="join_team"),
    path("my-team/", MyTeamView.as_view(), name="my_team"),
    path("profiles/", ProfileListView.as_view(), name="all_profiles"),
    path("orphaned-profiles/", OrphanedProfileListView.as_view(), name="orphaned_profiles"),
    path("organizers/", OrganizersListView.as_view(), name="organizers"),
    path("reset-admin/", ResetAdminView.as_view(), name="reset_admin"),
]
